WP_REST_Abilities_V1_Categories_Controller::get_collection_params(): array<string,

In this article

Retrieves the query params for collections.

Return

array<string, mixed> Collection parameters.

Source

public function get_collection_params(): array {
	return array(
		'context'  => $this->get_context_param( array( 'default' => 'view' ) ),
		'page'     => array(
			'description' => __( 'Current page of the collection.' ),
			'type'        => 'integer',
			'default'     => 1,
			'minimum'     => 1,
		),
		'per_page' => array(
			'description' => __( 'Maximum number of items to be returned in result set.' ),
			'type'        => 'integer',
			'default'     => 50,
			'minimum'     => 1,
			'maximum'     => 100,
		),
	);
}

Changelog

VersionDescription
6.9.0Introduced.

User Contributed Notes

You must log in before being able to contribute a note or feedback.